package algorithms;

import geometry.Triangle;
import geometry.TriangleTree;
import geometry.Vertex;
import geometry.iPoint;
import grafico.InterfaceGrafica;

import java.awt.Color;
import java.util.ArrayList;
import java.util.Collections;

public class DelaunayTriangulation implements Runnable {

	private ArrayList<iPoint> points;
	private InterfaceGrafica ig;
	
	public DelaunayTriangulation(InterfaceGrafica ig, ArrayList<iPoint> points) {
		this.points = points;
		this.ig = ig;
	}
	
	private void triangulate(){
		
		TriangleTree T;
		
		ig.limpaTela(1);
		ig.pintaPontos(points, Color.gray, 1);
		ig.pintaTelaSemDelay(1);
		
		Triangle t = new Triangle(new Vertex(0, 0), new Vertex(500, 0), new Vertex(250, 600));
		
		Collections.shuffle(points);
		
		for(int i = 0; i < points.size(); i++){
			//Triangle t = T.findTriangle(points[i]);
			
		}
		
		
		
	}
	
	public void run() {
		
	}

}
