package principal;

import geometry.Ponto;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.util.Vector;

import algorithms.MinDist;


public class EscritaDeDados {

	private static MinDist minDist;
	private static Vector<Ponto> pontos;

	public static void escreve(File file) {

			FileWriter fw;
			try {
				fw = new FileWriter(file);
				pontos = minDist.getPontos();
				for(Ponto p : pontos)
					fw.write((int)p.getX() + " " + (int)p.getY() + "\n");
				fw.flush();
				fw.close();
			} catch (IOException e1) {
			}
	}

	public static void setMinDist(MinDist minDist) {
		EscritaDeDados.minDist = minDist;
	}

}
