package principal;

import geometry.Ponto;

import java.util.Vector;

public class PointGenerator {
	
	final private static int MINPOINTSPACING = 15;

	public static Vector<Ponto> geraPontos(int qtde,int maxX,int maxY) {
		int cnt = 0;
		Vector<Ponto> pontos = new Vector<Ponto>();
		while(cnt < qtde){
			boolean adiciona = true;
			Ponto tmp = new Ponto(Math.random()*(maxX - 10) + 5, Math.random()*(maxY - 10) + 5); 
			for(int j = 0; j < pontos.size(); j++){
				if(tmp.dist(pontos.get(j)) <= MINPOINTSPACING){
					adiciona = false;
				}				
			}
			
			if(adiciona){
				pontos.add(tmp);
				cnt++;
			}
		}
		return pontos;
	}
	
}
