package geometry;


import java.util.Comparator;

@SuppressWarnings("unchecked")
public class CompareByX implements Comparator {

	public int compare(Object ponto1, Object ponto2) {
		
		double x1 = ((Ponto) ponto1).getX();
		double x2 = ((Ponto) ponto2).getX();
		
		if( Math.abs(x1 - x2) < 1e-6 )
			return 0;
		
		if(x1 > x2)
			return 1;
		
		return -1;
	}	
}
