package geometry;


import java.util.Comparator;

@SuppressWarnings("unchecked")
public class CompareByY implements Comparator {

	public int compare(Object ponto1, Object ponto2) {
		
		double y1 = ((Ponto) ponto1).getY();
		double y2 = ((Ponto) ponto2).getY();
		
		if( Math.abs(y1 - y2) < 1e-6 )
			return 0;
		
		if(y1 > y2)
			return 1;
		
		return -1;
	}	
}
