package geometry;


import java.util.Comparator;

@SuppressWarnings("unchecked")
public class CompareVertexByY implements Comparator {

	public int compare(Object v1, Object v2) {
		
		double y1 = ((Vertex) v1).getPoint().getY();
		double y2 = ((Vertex) v2).getPoint().getY();
		
		if( Math.abs(y1 - y2) < 1e-6 )
			return 0;
		
		if(y1 > y2)
			return 1;
		
		return -1;
	}	
}
