package geometry;

public class Triangle {
	Vertex vertices[];
	
	public Triangle(Vertex v1, Vertex v2, Vertex v3){
		vertices = new Vertex[3];
		
		vertices[0] = v1;
		vertices[1] = v2;
		vertices[2] = v3;
	}
	
	boolean contains(iPoint p){
		return Geometry.left(vertices[0].getPoint(), vertices[1].getPoint(), p)
				&& Geometry.left(vertices[1].getPoint(), vertices[2].getPoint(), p)
				&& Geometry.left(vertices[2].getPoint(), vertices[0].getPoint(), p);
	}
	
	public Vertex get(int i){
		return vertices[i];
	}
}
