package geometry;

public class TriangleTree {
	TriangleTreeNode head = null;
	
	public TriangleTree(Vertex v1, Vertex v2, Vertex v3){
		head = new TriangleTreeNode(v1, v2, v3);		
	}
	
	Triangle findAndInsert(iPoint p, TriangleTreeNode node){
		if(node.isLeaf()){
			split(p, node);
			return node.getTriangle();
		}			
		
		return null;
	}
	
	private void split(iPoint p, TriangleTreeNode node) {
		node.setLeaf(false);
		
		Triangle t = node.getTriangle();
		
		Vertex v = new Vertex(p);
		 
		
		//node.children.add(new TriangleTreeNode( new Triangle(t.get(0), t.get(1), p) ));
	}

	Triangle findAndInsert(iPoint p){
		if(head == null)
			return null;
		
		return findAndInsert(p, head);
	}

}
